import ts from 'typescript';
export type MinifierOptions = {
    srcDir: string;
    destDir: string;
    interfaceFileArr: string[];
    generateSourceMap?: boolean;
    obfuscate?: boolean;
    program?: ts.Program;
};
export type RenamedContent = {
    bufferArr: Uint8Array[];
    posArr: number[];
};
export type FileCallback = (srcPath: string, destPath: string, content?: RenamedContent, sourceMap?: string) => void;
export declare const writeDestFile: FileCallback;
export declare const minify: (options: MinifierOptions, fileCallback: FileCallback, compilerOptions?: ts.CompilerOptions) => void;
//# sourceMappingURL=minify.d.ts.map